﻿@page "/bicycledetail/{BicycleId}"
@using Veloverleih.Shared.Models
@inject HttpClient Http
@inject NavigationManager NavigationManager
@inject LoginStateService loginStateService
@using Veloverleih.Client.State



@if (bicycle == null)
{
    <div class="spinner-border text-primary" role="status">
        <span class="visually-hidden">Loading...</span>
    </div>
}
else
{
    <h2>@bicycle.Name</h2>
    @foreach (PhotoModel photo in bicycle.Photos)
    {
        <img src="@(photo.URL)" class="img-thumbnail">
    }
    <p>
        <label style="font-size:20px"><span style="font-weight:700">Marke:</span> @bicycle.Marke</label>
        <br />
        <label style="font-size:20px"><span style="font-weight:700">Type:</span> @bicycle.Kategorie.Name</label>
        <br />
        <label style="font-size:20px"><span style="font-weight:700">Gaenge:</span> @bicycle.Gaenge</label>
        <br />
        <label style="font-size:20px"><span style="font-weight:700">Reifengroesse:</span> @bicycle.Reifengroesse</label>
        <br />
        <br />
        <h3>Prize per Day: @bicycle.Preis.ToString("C")</h3>
        <br />
        <br />
    </p>   
}


@code {
    [Parameter]
    public string BicycleId { get; set; }

    private BicycleModel? bicycle;


    protected override async Task OnInitializedAsync()
    {
        await base.OnInitializedAsync();
        bicycle = await Http.GetFromJsonAsync<BicycleModel>($"api/Bicycle/{BicycleId}");
    }
}